> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timesdb.in/llms.txt
> Use this file to discover all available pages before exploring further.

# List fine-tuned models



## OpenAPI

````yaml get /fine_tuned_models
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /fine_tuned_models:
    get:
      tags:
        - fine_tuned_models
      summary: List Fine Tuned Models
      operationId: list_fine_tuned_models_fine_tuned_models_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CursorPage_FineTunedModelResponse_'
      security:
        - HTTPBearer: []
        - APIKeyHeader: []
components:
  schemas:
    CursorPage_FineTunedModelResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/FineTunedModelResponse'
          type: array
          title: Items
        total:
          anyOf:
            - type: integer
          title: Total
          description: Total items
        current_page:
          anyOf:
            - type: string
          title: Current Page
          description: Cursor to refetch the current page
        current_page_backwards:
          anyOf:
            - type: string
          title: Current Page Backwards
          description: Cursor to refetch the current page starting from the last item
        previous_page:
          anyOf:
            - type: string
          title: Previous Page
          description: Cursor for the previous page
        next_page:
          anyOf:
            - type: string
          title: Next Page
          description: Cursor for the next page
      type: object
      required:
        - items
      title: CursorPage[FineTunedModelResponse]
    FineTunedModelResponse:
      properties:
        id:
          type: string
          title: Id
        status:
          $ref: '#/components/schemas/FineTunedStatus'
        config:
          $ref: '#/components/schemas/LagLlamaFineTuningConfig'
        input_config:
          $ref: '#/components/schemas/FineTuneInputConfig'
        base_model:
          type: string
          title: Base Model
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
          title: Updated At
      type: object
      required:
        - id
        - status
        - config
        - input_config
        - base_model
        - created_at
        - updated_at
      title: FineTunedModelResponse
    FineTunedStatus:
      type: string
      enum:
        - QUEUED
        - IN_PROGRESS
        - COMPLETED
        - FAILED
      title: FineTunedStatus
    LagLlamaFineTuningConfig:
      properties:
        context_length:
          type: integer
          title: Context Length
        prediction_length:
          type: integer
          title: Prediction Length
        use_rope_scaling:
          type: boolean
          title: Use Rope Scaling
        num_samples:
          type: integer
          title: Num Samples
        max_epochs:
          type: integer
          title: Max Epochs
      type: object
      required:
        - context_length
        - prediction_length
        - use_rope_scaling
        - num_samples
        - max_epochs
      title: LagLlamaFineTuningConfig
    FineTuneInputConfig:
      properties:
        dataset_ids:
          anyOf:
            - items:
                type: string
              type: array
          title: Dataset Ids
        dataset_tags:
          anyOf:
            - items:
                type: string
              type: array
          title: Dataset Tags
        series_ids:
          anyOf:
            - items:
                type: string
              type: array
          title: Series Ids
        series:
          anyOf:
            - items:
                $ref: '#/components/schemas/SeriesItem'
              type: array
          title: Series
      type: object
      title: FineTuneInputConfig
    SeriesItem:
      properties:
        timestamp:
          type: string
          format: date-time
          title: Timestamp
        value:
          type: number
          title: Value
        metadata:
          type: object
          title: Metadata
      type: object
      required:
        - timestamp
        - value
      title: SeriesItem
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.